edu.isi.pegasus.planner.catalog.transformation.classes

## Class NMI2VDSSysInfo

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.classes.NMI2VDSSysInfo

    public class NMI2VDSSysInfo
    extends java.lang.Object

An Adapter class that translates the new NMI based Architecture and OS specifications to VDS ( VDS era ) Arch and Os objects

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private static java.util.Map<SysInfo.Architecture,Arch>` `mNMIArchToVDSArchMap` The map storing architecture to corresponding NMI architecture platforms.
`private static java.util.Map<SysInfo.OS,Os>` `mNMIOSToVDSOSMap` The map storing OS to corresponding NMI OS platforms.
`static java.lang.String` `OS_COMBINE_SEPARATOR` The separator used to combine OS version and release.

### Constructor Summary

Constructors
Constructor and Description
`NMI2VDSSysInfo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Arch` `nmiArchToVDSArch(java.lang.String arch)` Returns the VDS Arch object corresponding to the new NMI Architecture object .
`static Arch` `nmiArchToVDSArch(SysInfo.Architecture arch)` Returns the the VDS Arch object corresponding to the new NMI Architecture object .
`static java.util.Map<SysInfo.Architecture,Arch>` `NMIArchToVDSArchMap()` Singleton access to the NMI arch to VDS arch map.
`static Os` `nmiOSToVDSOS(java.lang.String os)` Returns the VDS Os object corresponding to the new NMI OS object .
`static Os` `nmiOSToVDSOS(SysInfo.OS os)` Returns the VDS Os object corresponding to the new NMI OS object .
`static java.util.Map<SysInfo.OS,Os>` `NMIOSToVDSOSMap()` Singleton access to the os to NMI os map.
`static VDSSysInfo` `nmiToVDSSysInfo(SysInfo.Architecture arch, SysInfo.OS os, java.lang.String glibc)` Returns the VDS VDSSysInfo object corresponding to the NMI arch and OS
`static VDSSysInfo` `nmiToVDSSysInfo(SysInfo sysinfo)` Returns the VDSSysInfo object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mNMIArchToVDSArchMap

    private static java.util.Map<SysInfo.Architecture,Arch> mNMIArchToVDSArchMap

The map storing architecture to corresponding NMI architecture platforms.

#### OS_COMBINE_SEPARATOR

    public static final java.lang.String OS_COMBINE_SEPARATOR

The separator used to combine OS version and release.

See Also:
  Constant Field Values

#### mNMIOSToVDSOSMap

    private static java.util.Map<SysInfo.OS,Os> mNMIOSToVDSOSMap

The map storing OS to corresponding NMI OS platforms.

### Constructor Detail

#### NMI2VDSSysInfo

    public NMI2VDSSysInfo()

### Method Detail

#### NMIArchToVDSArchMap

    public static java.util.Map<SysInfo.Architecture,Arch> NMIArchToVDSArchMap()

Singleton access to the NMI arch to VDS arch map.

Returns:
  Map mapping NMI Architecture to VDS Arch object.

#### NMIOSToVDSOSMap

    public static java.util.Map<SysInfo.OS,Os> NMIOSToVDSOSMap()

Singleton access to the os to NMI os map.

Returns:
  Map mapping NMI OS to VDS Os object.

#### nmiToVDSSysInfo

    public static VDSSysInfo nmiToVDSSysInfo(SysInfo sysinfo)

Returns the VDSSysInfo object.

Parameters:
  `sysinfo` - the sysinfo object
Returns:
  VDSSysInfo object

#### nmiToVDSSysInfo

    public static VDSSysInfo nmiToVDSSysInfo(SysInfo.Architecture arch,
                                             SysInfo.OS os,
                                             java.lang.String glibc)

Returns the VDS VDSSysInfo object corresponding to the NMI arch and OS

Parameters:
  `arch` - architecture in the new NMI format
  `os` - the os in NMI format
  `glibc` - the glibc version
Returns:
  the VDSSysInfo object

#### nmiArchToVDSArch

    public static Arch nmiArchToVDSArch(SysInfo.Architecture arch)

Returns the the VDS Arch object corresponding to the new NMI Architecture object .

Parameters:
  `arch` - architecture in the new NMI format.
Returns:
  Arch

#### nmiArchToVDSArch

    public static Arch nmiArchToVDSArch(java.lang.String arch)

Returns the VDS Arch object corresponding to the new NMI Architecture object .

Parameters:
  `arch` - architecture in the new NMI format.
Returns:
  Arch

#### nmiOSToVDSOS

    public static Os nmiOSToVDSOS(SysInfo.OS os)

Returns the VDS Os object corresponding to the new NMI OS object .

Parameters:
  `os` - the os in the new NMI format.
Returns:
  the VDS description of OS

#### nmiOSToVDSOS

    public static Os nmiOSToVDSOS(java.lang.String os)

Returns the VDS Os object corresponding to the new NMI OS object .

Parameters:
  `os` - the os in the new NMI format.
Returns:
  the VDS description of OS